Bug 1121204 - ksh hangs with big data in pipe in command substitution
Summary: ksh hangs with big data in pipe in command substitution
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 15:54 UTC by Michal Hlavinka
Modified: 2015-02-27 11:44 UTC (History)
3 users (show)

Fixed In Version: ksh-20120801-22.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-27 11:44:20 UTC


Attachments (Terms of Use)

Description Michal Hlavinka 2014-07-18 15:54:31 UTC
Description of problem:
  dd if=/dev/zero of=testfile.txt bs=1 count=65537
  x=`cat testfile.txt | cat -`

hang

Comment 1 Glen Kaukola 2014-07-18 16:29:55 UTC
Does not hang for me on Fedora 20.  ksh-20120801-17.fc20.x86_64.

Comment 2 Michal Hlavinka 2014-07-21 06:41:25 UTC
This is just for a future reference so I don't forget to test this bug. In fact, there is different bug that was fixed upstream, but it has this regression. So when the fix for that other bug is backported, we will have to fix this too.


Note You need to log in before you can comment on or make changes to this bug.